import { Annotation } from './Annotation';
export declare class DataAnnotation implements Annotation {
    readonly name: string;
    readonly value: string;
    readonly type: string;
    private static BOLD_TEXT;
    private static BACKGROUND_COLOR;
    private static FOREGROUND_COLOR;
    private static IMAGE_NAME;
    private static IMAGE_PLACEMENT;
    private static ITALIC_TEXT;
    private static OVERRIDE_TEXT;
    private static TIP_TEXT;
    private static UNDERLINE;
    private static TRUE_VALUE;
    private static PLACEMENT_CENTER;
    private static PLACEMENT_LEFT;
    private static PLACEMENT_RIGHT;
    private static PLACEMENT_UNDER;
    private static PLACEMENT_STRETCH_UNDER;
    static backgroundColor(annotations: DataAnnotation[]): string;
    static foregroundColor(annotations: DataAnnotation[]): string;
    static imageName(annotations: DataAnnotation[]): string;
    static imagePlacement(annotations: DataAnnotation[]): string;
    static isBoldText(annotations: DataAnnotation[]): boolean;
    static isItalicText(annotations: DataAnnotation[]): boolean;
    static isPlacementCenter(annotations: DataAnnotation[]): boolean;
    static isPlacementLeft(annotations: DataAnnotation[]): boolean;
    static isPlacementRight(annotations: DataAnnotation[]): boolean;
    static isPlacementStretchUnder(annotations: DataAnnotation[]): boolean;
    static isPlacementUnder(annotations: DataAnnotation[]): boolean;
    static isUnderlineText(annotations: DataAnnotation[]): boolean;
    static overrideText(annotations: DataAnnotation[]): string;
    static tipText(annotations: DataAnnotation[]): string;
    constructor(name: string, value: string, type: string);
    readonly backgroundColor: string;
    readonly foregroundColor: string;
    equals(dataAnno: Annotation): boolean;
    readonly isBackgroundColor: boolean;
    readonly isBoldText: boolean;
    readonly isForegroundColor: boolean;
    readonly isImageName: boolean;
    readonly isImagePlacement: boolean;
    readonly isItalicText: boolean;
    readonly isOverrideText: boolean;
    readonly isPlacementCenter: boolean;
    readonly isPlacementLeft: boolean;
    readonly isPlacementRight: boolean;
    readonly isPlacementStretchUnder: boolean;
    readonly isPlacementUnder: boolean;
    readonly isTipText: boolean;
    readonly isUnderlineText: boolean;
    toJSON(): Annotation;
}
